%define upstream_name    WWW-Shorten-IsGd
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Shorten (or lengthen) URLs with http://is.gd
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(WWW::Shorten::generic)
BuildArch:  noarch

%description
A Perl interface to the web site the http://is.gd manpage. is.gd simply
maintains a database of long URLs, each of which has a unique identifier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1035872
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 940164
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 749395
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 686869
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 515953
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 374810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 107538
- update to 0.003

* Tue Mar 15 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 71783
- imported package perl-WWW-Shorten-IsGd


* Tue Mar 15 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
